Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Partial Class FactorDbHelper

#Region "Metodos Personalizados"
    ' Definir en esta region los metodos personalizados para el DbHelper
    Public Function GetListFactorByidProcesoEvaluacion(idProcesoEvaluacion As Integer) As EntityList(Of Factor)
        Dim QueryObject = Me.CreateQueryObject

        'QueryObject.CreateQuery("declare @paramOutput")
        'QueryObject.CreateQuery("execute SP_name @parametro1, @")
        'Return QueryObject.ExecuteNonQuery

        QueryObject.CreateQuery("select f.* from factor as f, etapa as e")
        QueryObject.CreateQuery("where e.idEtapa=f.idEtapa")
        QueryObject.CreateQuery("and e.idProcesoEvaluacion=@idProcesoEvaluacion")

        QueryObject.AddParameter("@idProcesoEvaluacion", SqlDbType.Int, idProcesoEvaluacion)

        Return QueryObject.ExecuteList
    End Function
#End Region
End Class
